[xmonad] Problem in Installing xmonad

Alexander Tsamutali astsmtl at gmail.com
Tue Dec 4 09:05:35 EST 2007

В Tue, 04 Dec 2007 17:11:16 +0600
Nikitin Lev <nlv at lab321.ru> пишет:

> Hello.
> I'm trying install xmonad (0.4.1).
> I use debian linux 4.0 r1
> I've installed new version of ghc: 6.8.1, version of X11 is 1.3.0.
> When I configure xmonad (runhaskell Setup.lhs configure) I get error:
> -------------------
> XMonad.hs:42:17:
>     Could not find module `Data.Set':
>       it is a member of package containers-, which is hidden
> -------------------

I can confirm this problem on Source Mage. Recently i had
updated ghc to 6.8.1 and xmonad to 0.4.1. On one box everything worked
fine, but on another i've got the same problem. I tried to hide/expose
containers with ghc-pkg, but it didn't helped.

Alexander Tsamutali

More information about the xmonad mailing list